<?php
$template = <<<END
<!--スライドショー（slick）-->
<aside class="mainimg-slick home5_slide">
<!--{each item/slide}-->
<div><img src="user_data/{val item/slide/image}" alt=""></div>
<!--{/each}-->
</aside>
END;

$home5_slide = array(						// ブロック
		"title" => "home 5 スライドショー",	// ブロックの名称
		"name" => "home5_slide",			// 名称、重複すると正しく動作しません
		"template" => $template,		// ブロックのテンプレート
		"input" => array(				// ブロックの入力定義
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=home5_slide",
			"class" => "notice",
		),
			"notice1" => array(
				"title" => "このブロックはトップページにしか使えません",
				"type" => "comment",
				"class"=> "notice",
			),
			"image1" => array(
				"title" => "画像1",
				"type" => "image",
			),
			"image2" => array(
				"title" => "画像2",
				"type" => "image",
			),
			"image3" => array(
				"title" => "画像3",
				"type" => "image",
			),
			"image4" => array(
				"title" => "画像4",
				"type" => "image",
			),
			"image5" => array(
				"title" => "画像5",
				"type" => "image",
			),
		),
		"func" => "func_home5_slide",		// 処理プログラム（指定がない物は標準処理）
		"output" => "slide",		// 出力位置
	);

block_add($home5_slide);

// スライドの設定
function func_home5_slide($def, $info)
{
	$slide = array();
	for ($i = 1; $i <= 10; $i++) {
		if ($info["image" . $i]) {
			unset($item);
			$item["image"] = $info["image" . $i . "_file"];
			$slide[] = $item;
		}
	}
	$info["slide"] = $slide;
	return $info;
}
